jQuery(document).foundation();

// Top nav init and attributes
var fixTopNavOptions = {
	marginTop: 0,
	stickyOn: 'small'
};

var fixTopNav = new Foundation.Sticky( jQuery( '#topnav' ), fixTopNavOptions );

// Add sticky to .mark-as-complete
if ( jQuery( 'body' ).hasClass( 'single-section' ) ) {

  //mark as complete wraper = macw
	var macw = jQuery( '.mark-as-complete-wrapper-inside' );

	macw.each( function ( index, value ) {

	    var macwParent = jQuery( this ).parents('.so-panel').attr( 'id' );

	    var fixMacwOptions  = {
			marginTop: 3.75,
			marginBottom: 0,
			stickyOn: 'small',
			anchor: macwParent,
		};

	    var fixSideNav = new Foundation.Sticky( jQuery( this ), fixMacwOptions);

	});

};

jQuery(document).ready(function( $ ) {

	// Tiny jQuery Plugin - if element exists
	// by Chris Goodchild
	$.fn.exists = function(callback) {
  var args = [].slice.call(arguments, 1);

  if (this.length) {
    callback.call(this, args);
  }

  	return this;
	};

	// Notes button on section opens tab Notes in full screen and focus editor
	$( '.open-notes-buttons' ).exists( function() {

		var tabContentToOpen = '#notes-tab';

			$( '.open-notes-buttons > svg' ).on('click', function() {

				var offCanvasElm = $( '#secondary' );
				var tinyMceElm = tinymce.get('ubc_user_notes_content');
				var textEditor = $( '#ubc_user_notes_content' );
				var screenSize = Foundation.MediaQuery.current;
				var tabElm		 = $( '.tabs' );

				var myitem 		 = $( '.mce-i-fullscreen' ).get(0);
				var thisbutton = $( myitem ).parent('button').get(0);


				$( thisbutton ).click();
				$( tabElm ).foundation( 'selectTab', tabContentToOpen );
				$( tinyMceElm ).focus();
				//only open the sidebar if we are on the right screen size var screenSize
				if ( screenSize == 'small' || screenSize == 'medium' ) {

					$( offCanvasElm ).foundation('open', event, offCanvasElm);

				}

			});

	});

	$( '.home .site-banner' ).exists( function() {

		// get banner img height and apply the height to the .site-banner container
		function getBannerImgHeight() {

			var height = $('#img-responsive').height();
			var width = $('#img-responsive').width();
			var siteBannerHeight = $( '.site-banner' ).css( 'height', height );

		} //getBannerImgHeight()

		// call the function onload
		getBannerImgHeight();

		$('#img-responsive').on( 'resizeme.zf.trigger', function() {

			if ( Foundation.MediaQuery.atLeast('small') ) {
			// call the function when image is resized.
				getBannerImgHeight();

			}

		}); // on();

	}); //exsits();

	// to top right away
	if ( window.location.hash ) scroll(0,0);
	// void some browsers issue
	setTimeout( function() { scroll(0,0); }, 1);

	// This function removes the hash from the url without reloading the browser.
	function removeHash () {
	    var scrollV, scrollH, loc = window.location;
	    if ("pushState" in history)
	        history.pushState("", document.title, loc.pathname + loc.search);
	    else {
	        // Prevent scrolling by storing the page's current scroll offset
	        scrollV = document.body.scrollTop;
	        scrollH = document.body.scrollLeft;

	        loc.hash = "";

	        // Restore the scroll offset, should be flicker free
	        document.body.scrollTop = scrollV;
	        document.body.scrollLeft = scrollH;
	    }
	}

	// your current click function
	$('.scroll').on('click', function(e) {
			e.preventDefault();
			$('html, body').animate({
					scrollTop: $($(this).attr('href')).offset().top - 61
			}, 1500, 'swing');
			removeHash();
	});

	// *only* if we have anchor on the url
	if(window.location.hash) {
			// smooth scroll to the anchor id
			$('html, body').animate({
					scrollTop: $(window.location.hash).offset().top - 61
			}, 1500, 'swing');

			removeHash();
	}

});

jQuery(document).ready(function( $ ) {

var seachHeaderArray = '.bbp-threaded-replies';

	$.each( $( seachHeaderArray ), function( index, value ) {

			$( this ).click(function(){

					$( this ).toggleClass('expanded');

			});

	});

	$( '.single-section .widget-area' ).hover(

		function(){ $( 'body' ).addClass( 'is-off-canvas-open' ); },
		function(){ $( 'body' ).removeClass( 'is-off-canvas-open' ); }

	);

});
