<?php

//Call function to get course naming convention
$section_type		= \UBC_WP_CLF_Lite::get_course_content_name_convention_plural();

?>

<script>

	jQuery(document).ready(function( $ ) {

		// Toggle all accordions open or closed
		// get all elements needed for the click action
		var button = $( '.toggle-accordion' );
		var $buttonText = $( button ).text();
		var accordionContent = $( '.accordion-content' ).toArray();

		function closeAccordion() {

			var closeAllAccordions = $( accordionContent ).each( function() {

				$( '.accordion' ).foundation( 'up', $( this ) );

			} );

		};

		function openAccordion() {

			var openAllAccordions =$( accordionContent ).each( function() {

				$( '.accordion' ).foundation( 'down', $( this ) );

			} );

		};

		$( button ).click(function(){

			$( this ).attr( 'aria-pressed', $( this ).attr( 'aria-pressed' ) === 'false' ? 'true' : 'false' );
			$( this ).attr( 'aria-pressed' ) === 'true' ? $( this ).html(function() { return 'Collapse all -'; }) : $( this ).text( $buttonText );
			$( this ).attr( 'aria-pressed' ) === 'true' ? openAccordion() : closeAccordion();


		});

	});

</script>

<p class="text-right collapse-expand-btn column-12">
	<button class="toggle-accordion button" aria-controls="course-content-listings" aria-label="Expand or collapse course content" aria-pressed="false">Expand all <?php echo esc_html( $section_type ); ?> +</button>
</p>
