<?php

$is_special_page 				= \UBC\Press\Utils::ubc_press_is_special_pages();
$section_type						= \UBC_WP_CLF_Lite::get_course_content_name_convention_plural();
$section_archive_link 	= get_post_type_archive_link( 'section' );
$is_not_home						= ! is_home() && ! is_front_page();
$home_url								= home_url( '/' );
?>

<div class="sb-buttons row-expand">

<?php if ( ( $is_not_home ) || true === $is_special_page ) : ?>
	<a class="button secondary return-home column" href="<?php echo esc_url( $home_url ); ?>"><svg class="ui-icon pencil" aria-hidden="true"><use xlink:href="#home"></use></svg> <span class="show-for-sr">Return home</span></a>
<?php endif; ?>

	<a class="button success course-button" href="<?php echo esc_url( $section_archive_link ); ?>" title="Course content"><svg class="ui-icon pencil" aria-hidden="true"><use xlink:href="#list"></use></svg> Course <?php echo esc_html( $section_type ); ?></a>
	<button class="close-button secondary button column hide-for-large" aria-label="Close menu" type="button" data-close>&times; <span class="show-for-sr">Close sidebar</span></button>

</div>
